ArcSDE Upgrade GDB 9.3 to 10 Failure

272
3
04-14-2012 08:16 AM
BobMasin
New Contributor
I'm attempting to upgrade my SDE GDB from 9.3 to 10.  The pre-req list checks out successful, but when it attampts the upgrade it fails with the following error:

"Could not update ArcSDE server tables and stored procedures.
Object was open"

There are no connections to the GDB, server manager is closed.  No sde service installed heres the end of the prereqlog and attempted upgrade:

Finished checking prerequisites.
Updating ArcSDE server tables and stored procedures.
Could not update ArcSDE server tables and stored procedures.
Object was open.
Unpaused the database.
Failed to execute (UpgradeGDB).
Failed at Sat Apr 14 12:00:30 2012 (Elapsed Time: 50.00 seconds)
0 Kudos
3 Replies
EugeneYang
New Contributor
Hi,

Which entperprise DBMS do you use? Can you post your sde_setup.log file here?

Thanks,
Eugene
0 Kudos
BobMasin
New Contributor
Eugene,

Thanks for the response.  The issue has been resolved.  I worked through ESRI Tech Support with it.  It had to do with orphaned records relating to an older GDB that no longer existed.  The thing was when we ran checks for orphaned records nothing was returned, and all my GDB's were compressed to stateid0.  So we manually removed columns in sde tables relating to the deleted GDB.

Thanks.
0 Kudos
MounirABDI
New Contributor

Morning,

I'm traying to update my GDB(9.3) to the new one which is 10.7.1, when I perform the update operation in my arcCatalogue I got the attached message which tells that (Finished checking prerequisites with errors.failed to execute (UpgradeGDB).

Can anyone help on this issue?

Mounir

0 Kudos